# Uses of Interface
org.eclipse.birt.chart.model.layout.LayoutFactory

Packages that use LayoutFactory
Package
Description
org.eclipse.birt.chart.model.layout
Contains a layout manager capable of arranging a set of blocks associated with the chart representation.
org.eclipse.birt.chart.model.layout.impl
Contains core class implementations for blocks associated with the chart representation.

## Uses of LayoutFactory in org.eclipse.birt.chart.model.layout

Fields in org.eclipse.birt.chart.model.layout declared as LayoutFactory
Modifier and Type
Field
Description
`static final LayoutFactory`
LayoutFactory.`eINSTANCE`
The singleton instance of the factory.
Methods in org.eclipse.birt.chart.model.layout that return LayoutFactory
Modifier and Type
Method
Description
`LayoutFactory`
LayoutPackage.`getLayoutFactory()`
Returns the factory that creates the instances of the model.

## Uses of LayoutFactory in org.eclipse.birt.chart.model.layout.impl

Classes in org.eclipse.birt.chart.model.layout.impl that implement LayoutFactory
Modifier and Type
Class
Description
`class`
`LayoutFactoryImpl`
An implementation of the model Factory .
Methods in org.eclipse.birt.chart.model.layout.impl that return LayoutFactory
Modifier and Type
Method
Description
`LayoutFactory`
LayoutPackageImpl.`getLayoutFactory()`
`static LayoutFactory`
LayoutFactoryImpl.`init()`
Creates the default factory implementation.